void plot_sipm_parms(void)
{

gROOT->Reset();
//TTree *Bfield = (TTree *) gROOT->FindObject("Bfield");
gStyle->SetPalette(1,0);
gStyle->SetOptStat(kTRUE);
gStyle->SetOptFit(kTRUE);
gStyle->SetOptFit(1111);
gStyle->SetPadRightMargin(0.1);
gStyle->SetPadLeftMargin(0.2);
gStyle->SetPadBottomMargin(0.15);
gStyle->SetFillColor(0);
//
    const int ndx=5;
    Double_t vover[ndx]={-1,0.6,0.9,1.2,5};
    Double_t vover_offset[ndx]={-1,0.65,0.95,1.25,5};   // for visibility in plotting
    Double_t gain_gx1777[ndx]={-1,3.9,5.7,7.2,-1};
    Double_t gain_Jlab[ndx]={-1,4.285,-1,7.634,-1};
    Double_t gain_UTFSM[ndx]={-1,3.1,4.6,6.12,-1};
    
    Double_t pde_gx1777[ndx]={-1,0.15,0.21,0.25,-1};
    Double_t pde_Jlab[ndx]={-1,0.136,-1,0.228,-1};
    Double_t pde_UTFSM[ndx]={-1,0.16,0.23,0.30,-1};    // keep data from osoto 2013.
    //Double_t pde_UTFSM[ndx]={-1,0.155,0.231,0.94,-1};    // data from osoto 2014, coef -0.69-> -0.069 Fig 24
    
    Double_t dr_gx1777[ndx]={-1,0.7,0.95,1.25,-1};
    Double_t dr_Jlab[ndx]={-1,0.412,-1,0.816,-1};
    
    /*Double_t dr_UTFSM5[ndx]={-1,0.014,0.015,0.016,-1};     // data from osoto 2013
    Double_t dr_UTFSM20eq[ndx]={-1,0.0236,0.036,0.049,-1};
    Double_t dr_UTFSM20[ndx]={-1,-1,-1,0.4,-1};*/
    Double_t dr_UTFSM5[ndx]={-1,0.151,0.212,0.273,-1};       // data from osoto 2014 EQ, fig 20
    Double_t dr_UTFSM20eq[ndx]={-1,0.299,0.516,0.733,-1};
    Double_t dr_UTFSM20[ndx]={-1,-1,-1,0.4,-1};              // data from osoto 2014 fig 21
    
    Double_t dr_Ham[ndx]={-1,-1,1.3,-1,-1};
    
    Double_t OC_gx1777[ndx]={-1,0.07,0.15,0.28,-1};
    Double_t OC_Jlab[ndx]={-1,0.069,01,0.278,-1};
    /*Double_t OC_UTFSM20[ndx]={-1,0.071,0.13,0.237,-1};    //data from osoto 2013.
     Double_t OC_UTFSM5[ndx]={-1,0.067,0.112,0.219,-1};*/
    
    Double_t OC_UTFSM5[ndx]={-1,0.086,0.128,0.224,-1};    //data from osoto 2014.
    Double_t OC_UTFSM20[ndx]={-1,0.085,0.133,0.242,-1};
    
    TGraph *gr_gain_gx1777 = new TGraph (ndx,vover,gain_gx1777);
    TGraph *gr_gain_Jlab = new TGraph (ndx,vover,gain_Jlab);
    TGraph *gr_gain_UTFSM = new TGraph (ndx,vover,gain_UTFSM);
    
    TGraph *gr_pde_gx1777 = new TGraph (ndx,vover,pde_gx1777);
    TGraph *gr_pde_Jlab = new TGraph (ndx,vover,pde_Jlab);
    TGraph *gr_pde_UTFSM = new TGraph (ndx,vover,pde_UTFSM);
    
    TGraph *gr_dr_gx1777 = new TGraph (ndx,vover,dr_gx1777);
    TGraph *gr_dr_Jlab = new TGraph (ndx,vover,dr_Jlab);
    TGraph *gr_dr_UTFSM5 = new TGraph (ndx,vover,dr_UTFSM5);
    TGraph *gr_dr_UTFSM20 = new TGraph (ndx,vover,dr_UTFSM20);
    TGraph *gr_dr_UTFSM20eq = new TGraph (ndx,vover,dr_UTFSM20eq);
    TGraph *gr_dr_Ham = new TGraph (ndx,vover,dr_Ham);
    
    TGraph *gr_OC_gx1777 = new TGraph (ndx,vover_offset,OC_gx1777);
    TGraph *gr_OC_Jlab = new TGraph (ndx,vover,OC_Jlab);
    TGraph *gr_OC_UTFSM5 = new TGraph (ndx,vover,OC_UTFSM5);
    TGraph *gr_OC_UTFSM20 = new TGraph (ndx,vover,OC_UTFSM20);
    
    TCanvas *c1 = new TCanvas("c1","c1 plot_sipm_parms",200,10,700,700);
    c1->Divide(2,2);
    
    c1->cd(1);
    gPad->SetGridx();
    gPad->SetGridy();
    Double_t xmin=0.3;
    Double_t xmax=1.5;
    Double_t ymin=0;
    Double_t ymax=10;
    
    gr_gain_gx1777->SetTitle("");
    gr_gain_gx1777->GetXaxis()->SetRangeUser(xmin,xmax);
    gr_gain_gx1777->GetYaxis()->SetRangeUser(ymin,ymax);
    gr_gain_gx1777->GetXaxis()->SetTitleSize(0.07);
    gr_gain_gx1777->GetYaxis()->SetTitleSize(0.07);
    gr_gain_gx1777->GetXaxis()->SetLabelSize(0.07);
    gr_gain_gx1777->GetYaxis()->SetLabelSize(0.07);
    gr_gain_gx1777->GetXaxis()->SetTitle("Voltage - Breakdown (V)");
    gr_gain_gx1777->GetYaxis()->SetTitle("Gain (x10^{5})");
    gr_gain_gx1777->GetXaxis()->SetNdivisions(505);
    gr_gain_gx1777->GetYaxis()->SetNdivisions(505);
    gr_gain_gx1777->GetYaxis()->SetTitleOffset(1.2);
    
    gr_gain_gx1777->SetMarkerStyle(20);
    gr_gain_gx1777->SetMarkerColor(1);
    gr_gain_gx1777->Draw("Ap");
    gr_gain_Jlab->SetMarkerStyle(21);
    gr_gain_Jlab->SetMarkerColor(2);
    gr_gain_Jlab->Draw("p");
    gr_gain_UTFSM->SetMarkerStyle(22);
    gr_gain_UTFSM->SetMarkerColor(4);
    gr_gain_UTFSM->Draw("p");
    
    TLegend *leg = new TLegend(0.2,0.7,0.6,0.9);
    leg->SetTextSize(0.04);
    leg->AddEntry(gr_gain_gx1777,"GlueX-doc-1777","p");
    leg->AddEntry(gr_gain_Jlab,"JLab DB","p");
    leg->AddEntry(gr_gain_UTFSM,"UTFSM NIM","p");
    leg->Draw();
    
    c1->cd(2);
    gPad->SetGridx();
    gPad->SetGridy();
    xmin=0.3;
    xmax=1.5;
    ymin=0;
    ymax=0.4;
    
    gr_pde_gx1777->SetTitle("");
    gr_pde_gx1777->GetXaxis()->SetRangeUser(xmin,xmax);
    gr_pde_gx1777->GetYaxis()->SetRangeUser(ymin,ymax);
    gr_pde_gx1777->GetXaxis()->SetTitleSize(0.07);
    gr_pde_gx1777->GetYaxis()->SetTitleSize(0.07);
    gr_pde_gx1777->GetXaxis()->SetLabelSize(0.07);
    gr_pde_gx1777->GetYaxis()->SetLabelSize(0.07);
    gr_pde_gx1777->GetXaxis()->SetTitle("Voltage - Breakdown (V)");
    gr_pde_gx1777->GetYaxis()->SetTitle("PDE");
    gr_pde_gx1777->GetXaxis()->SetNdivisions(505);
    gr_pde_gx1777->GetYaxis()->SetNdivisions(505);
    gr_pde_gx1777->GetYaxis()->SetTitleOffset(1.2);
    
    gr_pde_gx1777->SetMarkerStyle(20);
    gr_pde_gx1777->SetMarkerColor(1);
    gr_pde_gx1777->Draw("Ap");
    gr_pde_Jlab->SetMarkerStyle(21);
    gr_pde_Jlab->SetMarkerColor(2);
    gr_pde_Jlab->Draw("p");
    gr_pde_UTFSM->SetMarkerStyle(22);
    gr_pde_UTFSM->SetMarkerColor(4);
    gr_pde_UTFSM->Draw("p");
    
    TLegend *legpde = new TLegend(0.2,0.7,0.6,0.9);
    legpde->SetTextSize(0.04);
    legpde->AddEntry(gr_pde_gx1777,"GlueX-doc-1777","p");
    legpde->AddEntry(gr_pde_Jlab,"JLab DB","p");
    legpde->AddEntry(gr_pde_UTFSM,"UTFSM NIM","p");
    legpde->Draw();
    
    c1->cd(3);
    gPad->SetGridx();
    gPad->SetGridy();
    gPad->SetLogy();
    xmin=0.3;
    xmax=1.5;
    ymin=0.1;
    ymax=10;
    
    gr_dr_gx1777->SetTitle("");
    gr_dr_gx1777->GetXaxis()->SetRangeUser(xmin,xmax);
    gr_dr_gx1777->GetYaxis()->SetRangeUser(ymin,ymax);
    gr_dr_gx1777->GetXaxis()->SetTitleSize(0.07);
    gr_dr_gx1777->GetYaxis()->SetTitleSize(0.07);
    gr_dr_gx1777->GetXaxis()->SetLabelSize(0.07);
    gr_dr_gx1777->GetYaxis()->SetLabelSize(0.07);
    gr_dr_gx1777->GetXaxis()->SetTitle("Voltage - Breakdown (V)");
    gr_dr_gx1777->GetYaxis()->SetTitle("Dark Rate per Cell (MHz)");
    gr_dr_gx1777->GetXaxis()->SetNdivisions(505);
    gr_dr_gx1777->GetYaxis()->SetNdivisions(505);
    gr_dr_gx1777->GetYaxis()->SetTitleOffset(1.2);
    
    gr_dr_gx1777->SetMarkerStyle(20);
    gr_dr_gx1777->SetMarkerColor(1);
    gr_dr_gx1777->Draw("Ap");
    gr_dr_Jlab->SetMarkerStyle(21);
    gr_dr_Jlab->SetMarkerColor(2);
    gr_dr_Jlab->Draw("p");
    gr_dr_UTFSM5->SetMarkerStyle(22);
    gr_dr_UTFSM5->SetMarkerColor(4);
    gr_dr_UTFSM5->Draw("p");
    gr_dr_UTFSM20->SetMarkerStyle(26);
    gr_dr_UTFSM20->SetMarkerColor(4);
    gr_dr_UTFSM20eq->Draw("p");
    gr_dr_UTFSM20eq->SetMarkerStyle(27);
    gr_dr_UTFSM20eq->SetMarkerColor(4);
    gr_dr_UTFSM20->Draw("p");
    gr_dr_Ham->SetMarkerStyle(23);
    gr_dr_Ham->SetMarkerColor(1);
    gr_dr_Ham->Draw("p");
    
    TLegend *legdr = new TLegend(0.2,0.7,0.7,1);
    legdr->SetTextSize(0.04);
    legdr->AddEntry(gr_dr_gx1777,"GlueX-doc-1777 23^{o}C","p");
    legdr->AddEntry(gr_dr_Jlab,"JLab DB 15^{o}C","p");
    legdr->AddEntry(gr_dr_UTFSM5,"UTFSM NIM 5^{o}C","p");
    legdr->AddEntry(gr_dr_UTFSM20eq,"UTFSM NIM 20^{o}C EQ","p");
    legdr->AddEntry(gr_dr_UTFSM20,"UTFSM NIM 20^{o}C Plot","p");
    legdr->AddEntry(gr_dr_Ham,"Hamamatu 25^{o}C","p");
    legdr->Draw();
    
    c1->cd(4);
    gPad->SetGridx();
    gPad->SetGridy();
    xmin=0.3;
    xmax=1.5;
    ymin=0;
    ymax=0.4;
    
    gr_OC_gx1777->SetTitle("");
    gr_OC_gx1777->GetXaxis()->SetRangeUser(xmin,xmax);
    gr_OC_gx1777->GetYaxis()->SetRangeUser(ymin,ymax);
    gr_OC_gx1777->GetXaxis()->SetTitleSize(0.07);
    gr_OC_gx1777->GetYaxis()->SetTitleSize(0.07);
    gr_OC_gx1777->GetXaxis()->SetLabelSize(0.07);
    gr_OC_gx1777->GetYaxis()->SetLabelSize(0.07);
    gr_OC_gx1777->GetXaxis()->SetTitle("Voltage - Breakdown (V)");
    gr_OC_gx1777->GetYaxis()->SetTitle("Cross Talk (%)");
    gr_OC_gx1777->GetXaxis()->SetNdivisions(505);
    gr_OC_gx1777->GetYaxis()->SetNdivisions(505);
    gr_OC_gx1777->GetYaxis()->SetTitleOffset(1.2);
    
    gr_OC_gx1777->SetMarkerStyle(20);
    gr_OC_gx1777->SetMarkerColor(1);
    gr_OC_gx1777->Draw("Ap");
    gr_OC_Jlab->SetMarkerStyle(21);
    gr_OC_Jlab->SetMarkerColor(2);
    gr_OC_Jlab->Draw("p");
    gr_OC_UTFSM5->SetMarkerStyle(22);
    gr_OC_UTFSM5->SetMarkerColor(4);
    gr_OC_UTFSM5->Draw("p");
    gr_OC_UTFSM20->SetMarkerStyle(26);
    gr_OC_UTFSM20->SetMarkerColor(4);
    gr_OC_UTFSM20->Draw("p");
    
    TLegend *legOC = new TLegend(0.2,0.7,0.7,0.9);
    legOC->SetTextSize(0.04);
    legOC->AddEntry(gr_OC_gx1777,"GlueX-doc-1777 23^{o}C","p");
    legOC->AddEntry(gr_OC_Jlab,"JLab DB 15^{o}C","p");
    legOC->AddEntry(gr_OC_UTFSM5,"UTFSM NIM 5^{o}C","p");
    legOC->AddEntry(gr_OC_UTFSM20,"UTFSM NIM 20^{o}C","p");
    legOC->Draw();
    
    
    
    c1->SaveAs("plot_sipm_parms.pdf");

}
